#pragma once

#include <vector>

#include "bounding_box.h"

namespace freling {

// The normal signature for this function should be:
// std::vector<BoundingBox> A2(const Frame& regions);
// However, since we are mocking this algorithm we just need to fulfill this
// constraint: "We assume for the sake of simplicity, that no bounding boxe
// in B′ overlaps more than one region in F Regions".
// To do so, we need to have the original delimitation of regions.
std::vector<BoundingBox> A2(const std::vector<BoundingBox>& regions);

}  // namespace freling
